# sample CodeCommander script
# converts the selected text to upper case
# if no text is selected, is converts the hole buffer
# (C) 2000 Chicane (under GPL)

import string
import cc

if cc.has_selection():
    start = cc.selection_start()
    end = cc.selection_end()
    selection = 1
else:
    start = 0
    end = cc.buffer_size()
    selection = 0
file = cc.get_file_number()
len = cc.get_file_tab_width(file)
cc.move_to(start)
pos = start
replaced = 0
count = 0
while pos < end:
    c = cc.get_current_char()
    if c == ' ':
        count = count+1
        if count == len:
            cc.move(1)
            cc.delete_text(pos-(len-1), pos+1)
            cc.insert("\t")
            pos = pos-(len-1)
            replaced = replaced+(len-1)
            end = cc.buffer_size()
            count = 0
    else:
        count = 0
    pos = pos+1
    cc.move_to(pos)
if selection:
    cc.select_area(start, end-replaced)
