# sample CodeCommander script
# converts the selected text to upper case
# if no text is selected, is converts the hole buffer
# (C) 2000 Chicane (under GPL)

import string
import cc

if cc.has_selection():
    start = cc.selection_start()
    end = cc.selection_end()
    selection = 1
else:
    start = 0
    end = cc.buffer_size()
    selection = 0
file = cc.get_file_number()
len = cc.get_file_tab_width(file)
str = ""
for i in range(len): str = str + " "
cc.move_to(start)
pos = start
replaced = 0
replacements = 0
while pos < end:
    c = cc.get_current_char()
    if c == '\t':
        cc.forward_delete(1)
        cc.insert(str)
        replacements = replacements+1
        pos = pos+(len)
        replaced = replaced+(len-1)
        end = cc.buffer_size()
    else:
        pos = pos+1
    cc.move_to(pos)
if selection:
    cc.select_area(start, end+replaced)
print replacements