# sample CodeCommander script
# converts the selected text to upper case
# if no text is selected, is converts the hole buffer
# (C) 2000 Pablo De Napoli (under GPL)
#
import string
import cc

if cc.has_selection():
    begin = cc.selection_start()
    end = cc.selection_end()
else:
    begin=0
    end= cc.buffer_size()
s = cc.get_text(begin,end)
cc.delete_text(begin,end)
cc.move_to(begin)
cc.insert(string.upper(s))